function clearprefs(varargin)
% CLEARPREFS FUNC1 FUNC2....
% 
% Clears global preferences for all the named functions.
% 
% See also SETPREFS, CLEARPREFS.

% Part of PFCMP version 2.5.41, an extension to the PSIGNIFIT toolbox for MATLAB versions 5 and up.
% The license and NO WARRANTY statement for PSIGNIFIT also applies to this release - see psych_legal.m
% Copyright (c) J.Hill 2002.
% mailto:psignifit@bootstrap-software.org
% http://www.bootstrap-software.org/psignifit/

lasterr('')
try
	for i = 1:length(varargin)
		setprefs(varargin{i}, [])
	end
catch
	error(lasterr)
end
